namespace MapUsingCumulativeFunctoids {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"MapUsingCumulativeFunctoids.CumulativeInput", typeof(global::MapUsingCumulativeFunctoids.CumulativeInput))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"MapUsingCumulativeFunctoids.CumulativeOutput", typeof(global::MapUsingCumulativeFunctoids.CumulativeOutput))]
    public sealed class Cumulative_Input_to_Output : global::Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s0 ScriptNS0"" version=""1.0"" xmlns:ns0=""http://MapUsingCumulativeFunctoids.CumulativeOutput"" xmlns:s0=""http://MapUsingCumulativeFunctoids.CumulativeInput"" xmlns:ScriptNS0=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS0"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s0:CumulativeInputRoot"" />
  </xsl:template>
  <xsl:template match=""/s0:CumulativeInputRoot"">
    <ns0:CumulativeOutputRoot>
      <xsl:variable name=""var:v1"" select=""ScriptNS0:InitCumulativeConcat(0)"" />
      <xsl:for-each select=""/s0:CumulativeInputRoot/Field1"">
        <xsl:variable name=""var:v2"" select=""ScriptNS0:AddToCumulativeConcat(0,string(./text()),&quot;1000&quot;)"" />
      </xsl:for-each>
      <xsl:variable name=""var:v3"" select=""ScriptNS0:GetCumulativeConcat(0)"" />
      <FieldCumulated>
        <xsl:value-of select=""$var:v3"" />
      </FieldCumulated>
    </ns0:CumulativeOutputRoot>
  </xsl:template>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects>
  <ExtensionObject Namespace=""http://schemas.microsoft.com/BizTalk/2003/ScriptNS0"" AssemblyName=""Microsoft.BizTalk.BaseFunctoids, Version=3.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"" ClassName=""Microsoft.BizTalk.BaseFunctoids.FunctoidScripts"" />
</ExtensionObjects>";
        
        private const string _strSrcSchemasList0 = @"MapUsingCumulativeFunctoids.CumulativeInput";
        
        private const string _strTrgSchemasList0 = @"MapUsingCumulativeFunctoids.CumulativeOutput";
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"MapUsingCumulativeFunctoids.CumulativeInput";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"MapUsingCumulativeFunctoids.CumulativeOutput";
                return _TrgSchemas;
            }
        }
    }
}
